Subject: Re: [Bitcoin-development] Standard public key base58-check address prefix?

From: Nadav Ivgi <[email-masked]>
Date: Fri, 21 Jun 2013 23:41:25 +0300

Just a small clarification: I was referring to the actual public key,
and not the hash160 of it used for Bitcoin addresses. Its usually not
used, but it is needed for multisig transaction.

On Fri, Jun 21, 2013 at 11:25 PM, Nadav Ivgi <[email-masked]> wrote:
> I'm working on a project that requires users to exchange public keys (for
> multisig transactions).
>
> It seems that hex encoding is usually used to display public keys (i.e. in
> bitaddress and brainwallet), which results in longer strings and lacks the
> 4-bytes verification.
>
> A standard way to encode public keys as base58-check addresses would make it
> easier and safer to display and exchange public keys. All that is really
> needed is deciding on a prefix byte.
>
> Perhaps we can use 0x37/0x38, which results in the letter P (for "Public")?
> It seems like those bytes aren't used for anything yet.
>
> Thanks,
> Nadav